# Bakery::Conf::AssociationBase Class Reference

Provides behaviors that are common to all widget/key associations. More...

`#include <AssociationBase.h>`

Inheritance diagram for Bakery::Conf::AssociationBase:

[legend]

List of all members.

## Public Types

typedef sharedptr < AssociationBase > | AssociationPtr
typedef sharedptr< const AssociationBase > | AssociationConstPtr

## Public Member Functions

void | add (const Glib::RefPtr< Gnome::Conf::Client > &conf_client)
void | load (std::auto_ptr< Glib::Error > &error)
void | save (std::auto_ptr< Glib::Error > &error)
virtual | ~AssociationBase ()

## Protected Types

typedef sigc::slot< void > | Callback

## Protected Member Functions

| AssociationBase (const Glib::ustring &full_key, bool instant)
| AssociationBase (const AssociationBase &other)
bool | is_instant () const
Glib::ustring | get_key () const
Glib::RefPtr< const Gnome::Conf::Client > | get_conf_client () const
Glib::RefPtr< Gnome::Conf::Client > | get_conf_client ()
virtual void | connect_widget (Callback on_widget_changed)=0
virtual void | load_widget (std::auto_ptr< Glib::Error > &error)=0
virtual void | save_widget (std::auto_ptr< Glib::Error > &error)=0
void | on_widget_changed ()
void | on_conf_changed (guint cnxn_id, Gnome::Conf::Entry entry)

## Protected Attributes

Glib::ustring | m_key
bool | m_instant
Glib::RefPtr< Gnome::Conf::Client > | m_conf_client

## Detailed Description

Provides behaviors that are common to all widget/key associations.

## Member Typedef Documentation

typedef sharedptr<AssociationBase> Bakery::Conf::AssociationBase::AssociationPtr

typedef sharedptr<const AssociationBase> Bakery::Conf::AssociationBase::AssociationConstPtr

typedef sigc::slot<void> Bakery::Conf::AssociationBase::Callback `[protected]`

Reimplemented in Bakery::Conf::Association< T_Widget >.

## Constructor & Destructor Documentation

virtual Bakery::Conf::AssociationBase::~AssociationBase | ( |  | ) | `[virtual]`

Bakery::Conf::AssociationBase::AssociationBase | ( | const Glib::ustring & | full_key,
|  | bool | instant |
| ) |  |  | `[protected]`

Bakery::Conf::AssociationBase::AssociationBase | ( | const AssociationBase & | other | ) | `[protected]`

## Member Function Documentation

void Bakery::Conf::AssociationBase::add | ( | const Glib::RefPtr< Gnome::Conf::Client > & | conf_client | ) |

void Bakery::Conf::AssociationBase::load | ( | std::auto_ptr< Glib::Error > & | error | ) |

void Bakery::Conf::AssociationBase::save | ( | std::auto_ptr< Glib::Error > & | error | ) |

bool Bakery::Conf::AssociationBase::is_instant | ( |  | ) | const`[protected]`

Glib::ustring Bakery::Conf::AssociationBase::get_key | ( |  | ) | const`[protected]`

Referenced by Bakery::Conf::Association< Gtk::Combo >::load_widget(), Bakery::Conf::Association< Gtk::OptionMenu >::load_widget(), Bakery::Conf::Association< Gtk::Range >::load_widget(), Bakery::Conf::Association< Gtk::ToggleButton >::load_widget(), Bakery::Conf::Association< Gtk::Entry >::load_widget(), Bakery::Conf::Association< Gtk::SpinButton >::load_widget(), Bakery::Conf::Association< Gtk::Combo >::save_widget(), Bakery::Conf::Association< Gtk::OptionMenu >::save_widget(), Bakery::Conf::Association< Gtk::Range >::save_widget(), Bakery::Conf::Association< Gtk::ToggleButton >::save_widget(), Bakery::Conf::Association< Gtk::Entry >::save_widget(), and Bakery::Conf::Association< Gtk::SpinButton >::save_widget().

Glib::RefPtr<const Gnome::Conf::Client> Bakery::Conf::AssociationBase::get_conf_client | ( |  | ) | const`[protected]`

Referenced by Bakery::Conf::Association< Gtk::Combo >::load_widget(), Bakery::Conf::Association< Gtk::OptionMenu >::load_widget(), Bakery::Conf::Association< Gtk::Range >::load_widget(), Bakery::Conf::Association< Gtk::ToggleButton >::load_widget(), Bakery::Conf::Association< Gtk::Entry >::load_widget(), Bakery::Conf::Association< Gtk::SpinButton >::load_widget(), Bakery::Conf::Association< Gtk::Combo >::save_widget(), Bakery::Conf::Association< Gtk::OptionMenu >::save_widget(), Bakery::Conf::Association< Gtk::Range >::save_widget(), Bakery::Conf::Association< Gtk::ToggleButton >::save_widget(), Bakery::Conf::Association< Gtk::Entry >::save_widget(), and Bakery::Conf::Association< Gtk::SpinButton >::save_widget().

Glib::RefPtr<Gnome::Conf::Client> Bakery::Conf::AssociationBase::get_conf_client | ( |  | ) | `[protected]`

virtual void Bakery::Conf::AssociationBase::connect_widget | ( | Callback | on_widget_changed | ) | `[protected, pure virtual]`

Implemented in Bakery::Conf::Association< T_Widget >.

virtual void Bakery::Conf::AssociationBase::load_widget | ( | std::auto_ptr< Glib::Error > & | error | ) | `[protected, pure virtual]`

Implemented in Bakery::Conf::Association< T_Widget >, Bakery::Conf::Association< Gtk::SpinButton >, Bakery::Conf::Association< Gtk::Entry >, Bakery::Conf::Association< Gtk::ToggleButton >, Bakery::Conf::Association< Gtk::Range >, Bakery::Conf::Association< Gtk::OptionMenu >, and Bakery::Conf::Association< Gtk::Combo >.

virtual void Bakery::Conf::AssociationBase::save_widget | ( | std::auto_ptr< Glib::Error > & | error | ) | `[protected, pure virtual]`

Implemented in Bakery::Conf::Association< T_Widget >, Bakery::Conf::Association< Gtk::SpinButton >, Bakery::Conf::Association< Gtk::Entry >, Bakery::Conf::Association< Gtk::ToggleButton >, Bakery::Conf::Association< Gtk::Range >, Bakery::Conf::Association< Gtk::OptionMenu >, and Bakery::Conf::Association< Gtk::Combo >.

void Bakery::Conf::AssociationBase::on_widget_changed | ( |  | ) | `[protected]`

void Bakery::Conf::AssociationBase::on_conf_changed | ( | guint | cnxn_id,
|  | Gnome::Conf::Entry | entry |
| ) |  |  | `[protected]`

## Member Data Documentation

Glib::ustring Bakery::Conf::AssociationBase::m_key `[protected]`

bool Bakery::Conf::AssociationBase::m_instant `[protected]`

Glib::RefPtr<Gnome::Conf::Client> Bakery::Conf::AssociationBase::m_conf_client `[protected]`

The documentation for this class was generated from the following file:

- AssociationBase.h